GLS ShipIT 3.3.20 GLS ShipIT - SOAP services

Public Member Functions | List of all members
eu.glsgroup.ws.parcelshopsearch.ParcelShopSearch Interface Reference

## Public Member Functions
GetParcelShopByIdResponseType | getParcelShopById ( @WebParam(partName="GetParcelShopByIdRequest", name="GetParcelShopByIdRequest", targetNamespace="http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/") GetParcelShopByIdRequestType getParcelShopByIdRequest)
GetParcelShopByCountryCodeResponseType | getParcelShopByCountryCode ( @WebParam(partName="GetParcelShopByCountryCodeRequest", name="GetParcelShopByCountryCodeRequest", targetNamespace="http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/") GetParcelShopByCountryCodeRequestType getParcelShopByCountryCodeRequest)
GetParcelShopInAreaResponse | getParcelShopInArea ( @WebParam(partName="GetParcelShopInAreaRequest", name="GetParcelShopInAreaRequest", targetNamespace="http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/") GetParcelShopInAreaRequestType getParcelShopInAreaRequest)
GetParcelShopReponseType | getParcelShops ( @WebParam(partName="GetParcelShopsRequest", name="GetParcelShopsRequest", targetNamespace="http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/") GetParcelShopRequestType getParcelShopsRequest)

## Detailed Description

This class was generated by Apache CXF 3.4.7 2023-04-19T13:30:23.856Z Generated source version: 3.4.7

Definition at line 19 of file ParcelShopSearch.java.

## Member Function Documentation

## ◆ getParcelShopByCountryCode()

GetParcelShopByCountryCodeResponseType eu.glsgroup.ws.parcelshopsearch.ParcelShopSearch.getParcelShopByCountryCode | ( | @WebParam(partName="GetParcelShopByCountryCodeRequest", name="GetParcelShopByCountryCodeRequest", targetNamespace="http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/") GetParcelShopByCountryCodeRequestType | getParcelShopByCountryCodeRequest | ) |

## ◆ getParcelShopById()

GetParcelShopByIdResponseType eu.glsgroup.ws.parcelshopsearch.ParcelShopSearch.getParcelShopById | ( | @WebParam(partName="GetParcelShopByIdRequest", name="GetParcelShopByIdRequest", targetNamespace="http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/") GetParcelShopByIdRequestType | getParcelShopByIdRequest | ) |

## ◆ getParcelShopInArea()

GetParcelShopInAreaResponse eu.glsgroup.ws.parcelshopsearch.ParcelShopSearch.getParcelShopInArea | ( | @WebParam(partName="GetParcelShopInAreaRequest", name="GetParcelShopInAreaRequest", targetNamespace="http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/") GetParcelShopInAreaRequestType | getParcelShopInAreaRequest | ) |

## ◆ getParcelShops()

GetParcelShopReponseType eu.glsgroup.ws.parcelshopsearch.ParcelShopSearch.getParcelShops | ( | @WebParam(partName="GetParcelShopsRequest", name="GetParcelShopsRequest", targetNamespace="http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/") GetParcelShopRequestType | getParcelShopsRequest | ) |

The documentation for this interface was generated from the following file:

- ParcelShopSearch.java